Subject: bug#15508: 24.3.50; file missing in dired

From: Eli Zaretskii <[email-masked]>
Date: Sat, 26 Dec 2015 12:21:52 +0200

> From: Alexis <[email-masked]>
> Date: Sat, 26 Dec 2015 12:37:31 +1100
> Cc: [email-masked], Richard Stallman <[email-masked]>
> 
> Lars Ingebrigtsen <[email-masked]> writes:
> 
> > Richard Stallman <[email-masked]> writes:
> >
> >> In my dired buffer on the whole directory `outgoing', the lock 
> >> file `.#out-3' does not appear.  I typed g a couple of times, 
> >> and that file continues not to show up.
> >>
> >> `ls -a' does show it.
> >
> > Are you still having these issues?  I can't recall seeing 
> > anybody else describing a problem like this...
> 
> i faced what i believe to be a similar problem, which was caused 
> by the default value of the `dired-omit-files' variable:
> 
>     "^\\.?#\\|^\\.$\\|^\\.\\.$"
> 
> Changing the value of that variable to:
> 
>     "^\\.\\|^#"
> 
> resulted in dired displaying things as i expect.

dired-omit-files only takes effect when the user invoked
dired-omit-mode, in which case they are asking for omitting the lock
files (and can customize dired-omit-files if they don't want to omit
lock files).  Since dired-omit-mode is not turned on by default, I
think this is not a bug, but a cockpit error, perhaps an inadvertent
one.

Richard, do you turn on dired-omit-mode in your Dired buffers?